unit U_WBSpecSel;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData, cxDataStorage,
  cxEdit, DB, cxDBData, ToolWin, ComCtrls, U_BaseHelp, cxGridCustomTableView,
  cxGridTableView, cxGridDBTableView, cxGridLevel, cxClasses, cxControls,
  cxGridCustomView, cxGrid, DBClient, ADODB, ImgList, StdCtrls, ExtCtrls,
  cxTextEdit, cxGridCustomPopupMenu, cxGridPopupMenu, cxLookAndFeels,
  cxLookAndFeelPainters,   cxNavigator,
  dxDateRanges, dxBarBuiltInMenu, System.ImageList, U_BaseInput, cxButtonEdit,
  cxCheckBox, Vcl.Menus,    
     
    
     
     
    
    
    
    
    
    
     
      
     
   
     
   dxScrollbarAnnotations, cxImageList;

type
  TfrmWBSpecSel = class(TfrmBaseHelp)
    ToolBar1: TToolBar;
    ADOQueryMain: TADOQuery;
    ADOQueryTemp: TADOQuery;
    ADOQueryCmd: TADOQuery;
    DS_1: TDataSource;
    CDS_1: TClientDataSet;
    TBSave: TToolButton;
    TBClose: TToolButton;
    ToolButton1: TToolButton;
    ADOConnection1: TADOConnection;
    Panel1: TPanel;
    Label1: TLabel;
    WB_Code: TEdit;
    GPM_1: TcxGridPopupMenu;
    ImageList1: TImageList;
    ThreeColorBase: TcxStyleRepository;
    SHuangSe: TcxStyle;
    SkyBlue: TcxStyle;
    Default: TcxStyle;
    QHuangSe: TcxStyle;
    Red: TcxStyle;
    FontBlue: TcxStyle;
    TextSHuangSe: TcxStyle;
    FonePurple: TcxStyle;
    FoneClMaroon: TcxStyle;
    FoneRed: TcxStyle;
    RowColor: TcxStyle;
    handBlack: TcxStyle;
    cxBlue: TcxStyle;
    SHuangSeCu: TcxStyle;
    PM_1: TPopupMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    cxGrid1: TcxGrid;
    Tv1: TcxGridDBTableView;
    Tv1Column1: TcxGridDBColumn;
    Tv1Column11: TcxGridDBColumn;
    v1Column9: TcxGridDBColumn;
    Tv1Column10: TcxGridDBColumn;
    Tv1Column4: TcxGridDBColumn;
    Tv1Column2: TcxGridDBColumn;
    Tv1Column9: TcxGridDBColumn;
    Tv1Column12: TcxGridDBColumn;
    v1Column8: TcxGridDBColumn;
    Tv1Column6: TcxGridDBColumn;
    v1Column10: TcxGridDBColumn;
    v1Column17: TcxGridDBColumn;
    Tv1Column5: TcxGridDBColumn;
    Tv1Column3: TcxGridDBColumn;
    v1Column12: TcxGridDBColumn;
    Tv1Column8: TcxGridDBColumn;
    cxGrid1Level1: TcxGridLevel;
    cxImageList_bar: TcxImageList;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure TBSaveClick(Sender: TObject);
    procedure TV1DblClick(Sender: TObject);
    procedure TBCloseClick(Sender: TObject);
    procedure WB_CodeChange(Sender: TObject);
    procedure N1Click(Sender: TObject);
    procedure N2Click(Sender: TObject);
  private
    procedure InitGrid();
    { Private declarations }
  public
    FSTKName, FAuthority, FYType: string;
    { Public declarations }
  end;

var
  frmWBSpecSel: TfrmWBSpecSel;

implementation

uses
  U_DataLink, U_RTFun;

{$R *.dfm}

procedure TfrmWBSpecSel.FormCreate(Sender: TObject);
begin
  inherited;
  try
    with ADOConnection1 do
    begin
      Connected := false;
      ConnectionString := DConString;
      Connected := true;
    end;
    ADOQueryBaseCmd.Connection := ADOConnection1;
    ADOQueryBaseTemp.Connection := ADOConnection1;
  except
    application.MessageBox('网络连接失败！', '提示信息');
  end;
end;

procedure TfrmWBSpecSel.WB_CodeChange(Sender: TObject);
begin
  if ADOQueryMain.Active then
  begin
    SDofilter(ADOQueryMain, SGetFilters(Panel1, 1, 2));
    SCreateCDS(ADOQueryMain, CDS_1);
    SInitCDSData(ADOQueryMain, CDS_1);
  end;

end;

procedure TfrmWBSpecSel.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  WB_Code.SetFocus;
  Action := cahide;
end;

procedure TfrmWBSpecSel.InitGrid();
begin
  try
    ADOQueryMain.DisableControls;
    with ADOQueryMain do
    begin
      Close;
      sql.Clear;
      sql.Add(' select A.* ');
      sql.Add(' from Tat_WB_Spec A');
//      if Trim(FYType) <> '' then
//        sql.Add(' where Y_Type=' + QuotedStr(FYType));
      Open;
    end;
    SCreateCDS(ADOQueryMain, CDS_1);
    SInitCDSData(ADOQueryMain, CDS_1);
  finally
    ADOQueryMain.EnableControls;
  end;
end;

procedure TfrmWBSpecSel.N1Click(Sender: TObject);
begin
  SelOKNo(CDS_1, true);

end;

procedure TfrmWBSpecSel.N2Click(Sender: TObject);
begin
  SelOKNo(CDS_1, False);

end;

procedure TfrmWBSpecSel.FormShow(Sender: TObject);
begin
  inherited;

  InitGrid();

  ReadCxGrid('单位名称' + Trim(FSTKName), TV1, '自定义数据');

end;

procedure TfrmWBSpecSel.TBCloseClick(Sender: TObject);
begin
  inherited;
  Close;
end;

procedure TfrmWBSpecSel.TBSaveClick(Sender: TObject);
begin
  WriteCxGrid('单位名称' + Trim(FSTKName), TV1, '自定义数据');

end;

procedure TfrmWBSpecSel.ToolButton1Click(Sender: TObject);
begin
  WB_Code.SetFocus;
  ModalResult := 1;
end;

procedure TfrmWBSpecSel.TV1DblClick(Sender: TObject);
begin
  ModalResult := 1;
end;

procedure TfrmWBSpecSel.FormDestroy(Sender: TObject);
begin
  inherited;
  frmWBSpecSel := nil;
end;

end.

